import { r as registerInstance, h } from './index-ytAlchvh.js';

const EclSocialMediaFollowItem = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.hideLabel = false;
        this.family = 'networks';
        this.color = 'monochrome';
    }
    getClass() {
        return [
            `ecl-social-media-follow__item`,
            `sc-ecl-social-media-follow-${this.theme}`,
            this.styleClass
        ].join(' ');
    }
    componentWillLoad() {
        var _a;
        this.theme = (_a = document.documentElement.getAttribute('data-ecl-theme')) !== null && _a !== void 0 ? _a : (this.theme || 'ec');
    }
    render() {
        return (h("li", { key: 'a0d48fa4a04f70eadc42e1533c699a36b983a4c4', class: this.getClass() }, h("ecl-link", Object.assign({ key: '81366adc155ac039a708468054e8b15cd025c21e', "style-class": `ecl-link ecl-link--standalone ecl-link--icon-before ecl-social-media-follow__link sc-ecl-social-media-follow-${this.theme}`, path: this.sharePath, "icon-position": "before" }, (this.hideLabel ? { hideLabel: true } : {})), h("ecl-icon", { key: 'c107b87fcd6f61310b2ab5124b2d89b97d26f244', slot: "icon-before", family: this.family, color: this.color, icon: this.icon, size: "s" }), h("slot", { key: 'c30cfda3ed0f1d14a54969d62c9a751ace3bace8' }))));
    }
};

export { EclSocialMediaFollowItem as ecl_social_media_follow_item };
